import jQuery from "jquery";
import { state, graph } from "./editor";
import { saveGraphJson } from "../../datasets/datasets";

/**
 * Initiates all the handlers for button presses and input changes.
 */
export function initInteractions() {
    jQuery("button#clear-collection").on("click", () => {
        state.clearSelectedItems();
    });
    jQuery("button#save").on("click", () => {
        saveGraphJson(space_id, graph.getCleanData());    // space_id defined globaly through knowledge-space.php
    });
}
